"use strict";

const { validateValue } = require("@validatem/core");
const postcssNested = require("postcss-nested");
const postcssNestedProps = require("postcss-nested-props");
const isPostCSSPlugin = require("./");

/* Plugin (factory), PostCSS <= 7 */
console.log(validateValue(postcssNestedProps, [ isPostCSSPlugin ])); // { process: [Function (anonymous)] }

/* Plugin function (instance), PostCSS <= 7 */
console.log(validateValue(postcssNestedProps(), [ isPostCSSPlugin ])); // { postcssPlugin: 'postcss-nested-props', postcssVersion: '6.0.23' }

/* Plugin (factory), PostCSS 8 */
console.log(validateValue(postcssNested, [ isPostCSSPlugin ])); // [Function (anonymous)] { postcss: true }

/* Plugin function (instance), PostCSS 8 */
console.log(validateValue(postcssNested(), [ isPostCSSPlugin ])); // { postcssPlugin: 'postcss-nested', Rule: [Function: Rule] }

console.log(validateValue("hello world", [ isPostCSSPlugin ])); /*
	AggregrateValidationError: One or more validation errors occurred:
	 - At (root): Must be a PostCSS plugin
*/
